package com.zanxiang.manage.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.common.domain.ResultVO;
import com.zanxiang.erp.security.annotation.PreAuthorize;
import com.zanxiang.manage.domain.params.GameStrategyListParam;
import com.zanxiang.manage.domain.params.GameStrategyParam;
import com.zanxiang.manage.domain.vo.GameStrategyListVO;
import com.zanxiang.manage.service.IGameStrategyService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author : lingfeng
 * @time : 2022-11-25
 * @description : 支付策略管理
 */
@Api(tags = "支付策略管理")
@RestController
@RequestMapping("/game/pay/strategy")
public class GameStrategyController {

    @Autowired
    private IGameStrategyService gameStrategyService;

    @ApiOperation(value = "新增/编辑/删除")
    @PostMapping(value = "/save")
    @PreAuthorize(permissionKey = "sdk:gameStrategy:save")
    public ResultVO<Boolean> save(@Validated @RequestBody GameStrategyParam param) {
        return ResultVO.ok(gameStrategyService.saveOrUpdate(param));
    }

    @ApiOperation(value = "列表")
    @PostMapping(value = "/list")
    @PreAuthorize(permissionKey = "sdk:gameStrategy:list")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = GameStrategyListVO.class, responseContainer = "list")})
    public ResultVO<IPage<GameStrategyListVO>> list(@Validated @RequestBody GameStrategyListParam param) {
        return ResultVO.ok(gameStrategyService.list(param));
    }
}
