package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.params.GamePayWayListParam;
import com.zanxiang.manage.domain.params.GamePayWayParam;
import com.zanxiang.manage.domain.vo.GamePayWayListVO;
import com.zanxiang.manage.domain.vo.GamePayWayVO;
import com.zanxiang.mybatis.entity.GamePayWay;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2022-06-23
 * @description : 游戏支付配置
 */
public interface IGamePayWayService extends IService<GamePayWay> {

    /**
     * 根据游戏id查询
     *
     * @param gameId 游戏id
     * @return {@link List}<{@link GamePayWayVO}>
     */
    List<GamePayWayVO> getByGameId(Long gameId);

//    /**
//     * 根据游戏id查询(状态yes)
//     *
//     * @param gameId
//     * @return
//     */
//    List<GamePayWayVO> getByGameIdForStatusYes(Long gameId);

    /**
     * 保存或更新
     *
     * @param bo : 参数
     * @return {@link Boolean}
     */
    Boolean saveOrUpdate(GamePayWayParam bo);

    /**
     * 带分页列表
     *
     * @param param 参数
     * @return {@link IPage}<{@link GamePayWayListVO}>
     */
    IPage<GamePayWayListVO> list(GamePayWayListParam param);

//    /**
//     * 根据游戏id获取虚拟支付配置
//     *
//     * @param id : 游戏id
//     * @return : 返回游戏虚拟支付配置
//     */
//    GameAnalogPayVO getGameAnalogPay(Long id);

//    /**
//     * 虚拟支付更新或者新增
//     *
//     * @param payParam : 新增或者更新参数
//     * @return : 返回新增或者更新的结果
//     */
//    Boolean gameAnalogPayAddOrUpdate(GameAnalogPayParam payParam);

//    /**
//     * 获取游戏所有支付方式
//     *
//     * @param gameId 游戏id
//     * @return
//     */
//    AllGamePayWayByGameIdVO getAllGamePayWayByGameId(Long gameId);
}
